<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}
require_once(t3lib_extMgm::extPath($_EXTKEY).'misc/class.tx_mageconnect_userLabel.php');

t3lib_extMgm::allowTableOnStandardPages('tx_mageconnect_products');
//t3lib_extMgm::addToInsertRecords('tx_mageconnect_products');

include_once(t3lib_extMgm::extPath($_EXTKEY).'misc/class.tx_mageconnect_flexform.php');


$tempColumns = array (
	'tx_mageconnect_magento_customer_attr' => array (		
		'exclude' => 0,		
		'label' => 'LLL:EXT:mageconnect/locallang_db.xml:fe_users_tx_mageconnect_magento_customer_attr',		
		'config' => array (
			'type' => 'none',
		)
	),
);

// Products
$TCA['tx_mageconnect_products'] = array (
	'ctrl' => array (
		'title'     => 'LLL:EXT:mageconnect/locallang_db.xml:tx_mageconnect_products',		
		'label'     => 'name',	
		'label_userFunc' => "tx_mageconnect_userLabel->getProductLabel",
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'default_sortby' => 'ORDER BY product_id',	
		'delete' => 'deleted',	
		'enablecolumns' => array (		
			'disabled' => 'hidden',	
			'starttime' => 'starttime',	
			'endtime' => 'endtime',
			'product_id' => 'product_id',
			'store_view' => 'store_view',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY).'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY).'icon_tx_mageconnect_products.gif',
	),
);

// Categories
$TCA['tx_mageconnect_categories'] = array (
	'ctrl' => array (
		'title'     => 'LLL:EXT:mageconnect/locallang_db.xml:tx_mageconnect_categories',		
		'label'     => 'name',
		'label_userFunc' => "tx_mageconnect_userLabel->getCategoryLabel",	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'sortby' => 'sorting',	
		'delete' => 'deleted',	
		'enablecolumns' => array (		
			'disabled' => 'hidden',
			'category_id' => 'category_id',
			'store_view' => 'store_view',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY).'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY).'icon_tx_mageconnect_categories.gif',
	),
);

$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY.'_pi1'] ='pi_flexform';
t3lib_extMgm::addPiFlexFormValue($_EXTKEY.'_pi1', 'FILE:EXT:'.$_EXTKEY . '/pi1/flexform.xml');

$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY.'_pi2'] ='pi_flexform';
t3lib_extMgm::addPiFlexFormValue($_EXTKEY.'_pi2', 'FILE:EXT:'.$_EXTKEY . '/pi2/flexform.xml');

$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY.'_pi3'] ='pi_flexform';
t3lib_extMgm::addPiFlexFormValue($_EXTKEY.'_pi3', 'FILE:EXT:'.$_EXTKEY . '/pi3/flexform.xml');

$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY.'_pi4'] ='pi_flexform';
t3lib_extMgm::addPiFlexFormValue($_EXTKEY.'_pi4', 'FILE:EXT:'.$_EXTKEY . '/pi4/flexform.xml');


t3lib_div::loadTCA('fe_users');
t3lib_extMgm::addTCAcolumns('fe_users',$tempColumns,1);
t3lib_extMgm::addToAllTCAtypes('fe_users','tx_mageconnect_magento_customer_attr;;;;1-1-1', '', 'after:usergroup');

t3lib_div::loadTCA('tt_content');
$TCA['tt_content']['types']['list']['subtypes_excludelist'][$_EXTKEY.'_pi1']='layout,select_key';


// PI1
t3lib_extMgm::addPlugin(array(
	'LLL:EXT:mageconnect/locallang_db.xml:tt_content_list_type_pi1',
	$_EXTKEY . '_pi1',
	t3lib_extMgm::extRelPath($_EXTKEY) . 'ext_icon.gif'
),'list_type');

// PI2
t3lib_extMgm::addPlugin(array(
	'LLL:EXT:mageconnect/locallang_db.xml:tt_content_list_type_pi2',
	$_EXTKEY . '_pi2',
	t3lib_extMgm::extRelPath($_EXTKEY) . 'ext_icon.gif'
),'list_type');

// PI3
t3lib_extMgm::addPlugin(array(
	'LLL:EXT:mageconnect/locallang_db.xml:tt_content_list_type_pi3',
	$_EXTKEY . '_pi3',
	t3lib_extMgm::extRelPath($_EXTKEY) . 'ext_icon.gif'
),'list_type');

// PI4
t3lib_extMgm::addPlugin(array(
	'LLL:EXT:mageconnect/locallang_db.xml:tt_content_list_type_pi4',
	$_EXTKEY . '_pi4',
	t3lib_extMgm::extRelPath($_EXTKEY) . 'ext_icon.gif'
),'list_type');


if (TYPO3_MODE == 'BE') {
	$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['tx_mageconnect_pi1_wizicon'] = t3lib_extMgm::extPath($_EXTKEY).'pi1/class.tx_mageconnect_pi1_wizicon.php';
	$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['tx_mageconnect_pi2_wizicon'] = t3lib_extMgm::extPath($_EXTKEY).'pi2/class.tx_mageconnect_pi2_wizicon.php';
	$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['tx_mageconnect_pi3_wizicon'] = t3lib_extMgm::extPath($_EXTKEY).'pi3/class.tx_mageconnect_pi3_wizicon.php';
	$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['tx_mageconnect_pi4_wizicon'] = t3lib_extMgm::extPath($_EXTKEY).'pi4/class.tx_mageconnect_pi4_wizicon.php';

}

t3lib_extMgm::addStaticFile($_EXTKEY,'static/tx_mageconnect/', 'MAGEconnect Settings');
?>